Bug 253686 - error messages from "rpm -e"
Summary: error messages from "rpm -e"
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: chkconfig   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-21 09:43 UTC by Denise Dumas
Modified: 2014-03-17 03:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-04 21:51:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian La Roche 2007-08-21 09:43:26 UTC
Description of problem:

The following rpms now show error messages from chkconfig:

[12/60] Erase:   udev-0:114-2.fc8.i386ERROR: Output running pre uninstall script
for package udev-0:114-2.fc8.i386
failed to glob pattern /etc/rc0.d/[SK][0-9][0-9]udev-post: Unknown error 530
failed to glob pattern /etc/rc1.d/[SK][0-9][0-9]udev-post: Unknown error 530
failed to glob pattern /etc/rc2.d/[SK][0-9][0-9]udev-post: Unknown error 530
failed to glob pattern /etc/rc3.d/[SK][0-9][0-9]udev-post: Unknown error 530
failed to glob pattern /etc/rc4.d/[SK][0-9][0-9]udev-post: Unknown error 530
failed to glob pattern /etc/rc5.d/[SK][0-9][0-9]udev-post: Unknown error 530
failed to glob pattern /etc/rc6.d/[SK][0-9][0-9]udev-post: Unknown error 530


[13/60] Erase:   shadow-utils-2:4.0.18.1-16.fc8.i386
[14/60] Erase:   e2fsprogs-0:1.40.2-2.fc8.i386
[15/60] Erase:   device-mapper-0:1.02.21-1.fc8.i386
[16/60] Erase:   sysvinit-0:2.86-17.i386
[17/60] Erase:   psmisc-0:22.5-1.2.fc8.i386
[18/60] Erase:   coreutils-0:6.9-5.fc8.i386
[19/60] Erase:   pam-0:0.99.8.1-4.fc8.i386
[20/60] Erase:   libselinux-0:2.0.30-1.fc8.i386
[21/60] Erase:   e2fsprogs-libs-0:1.40.2-2.fc8.i386
[22/60] Erase:   iputils-0:20070202-4.fc8.i386ERROR: Output running pre
uninstall script for package iputils-0:20070202-4.fc8.i386
failed to glob pattern /etc/rc0.d/[SK][0-9][0-9]rdisc: Unknown error 530
failed to glob pattern /etc/rc1.d/[SK][0-9][0-9]rdisc: Unknown error 530
failed to glob pattern /etc/rc2.d/[SK][0-9][0-9]rdisc: Unknown error 530
failed to glob pattern /etc/rc3.d/[SK][0-9][0-9]rdisc: Unknown error 530
failed to glob pattern /etc/rc4.d/[SK][0-9][0-9]rdisc: Unknown error 530
failed to glob pattern /etc/rc5.d/[SK][0-9][0-9]rdisc: Unknown error 530
failed to glob pattern /etc/rc6.d/[SK][0-9][0-9]rdisc: Unknown error 530


Should those get ignored in chkconfig or the scripts be adapted?

regards,

Florian La Roche






Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2007-08-29 17:41:00 UTC
How are these being removed? I'm not seeing them with a simple 'rpm -e udev'.

Comment 2 Florian La Roche 2007-11-09 13:56:27 UTC
I've seen them with pyrpmcheckinstall. They didn't reproduce all the time,
so I still need to set this up on a clean machine and really debug it.
On my todo list to get this looked at.

regards,

Florian La Roche


Comment 4 Bug Zapper 2008-05-14 03:08:17 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bill Nottingham 2008-12-04 21:51:15 UTC
Closing this.


Note You need to log in before you can comment on or make changes to this bug.